# Generated by Django 3.1.7 on 2021-07-06 05:34

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Class',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('Grade', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='School',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('grade', models.CharField(choices=[('PR', 'Primary School'), ('SE', 'Secondary School'), ('HI', 'High School')], default='PR', max_length=2)),
            ],
        ),
        migrations.CreateModel(
            name='Student',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('dateOfBirth', models.DateField()),
                ('sex', models.CharField(choices=[('M', 'Male'), ('F', 'Female')], default='M', max_length=1)),
                ('currentClassId', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='my_app.class')),
            ],
        ),
        migrations.AddField(
            model_name='class',
            name='schoolid',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='my_app.school'),
        ),
    ]
